/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdFormaPagoDAO;
import com.rjconsultores.ventaboletos.entidad.ProdFormaPago;
import com.rjconsultores.ventaboletos.service.ProdFormaPagoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodFormaPagoService")
public class ProdFormaPagoServiceImpl implements ProdFormaPagoService {

    @Autowired
    private ProdFormaPagoDAO prodFormaPagoDAO;

    public List<ProdFormaPago> obtenerTodos() {
        return prodFormaPagoDAO.obtenerTodos();
    }

    public ProdFormaPago obtenerID(Integer id) {
        return prodFormaPagoDAO.obtenerID(id);
    }

    @Transactional
    public ProdFormaPago suscribir(ProdFormaPago entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodFormaPagoDAO.suscribir(entidad);
    }

    @Transactional
    public ProdFormaPago actualizacion(ProdFormaPago entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodFormaPagoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdFormaPago entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodFormaPagoDAO.actualizacion(entidad);
    }
}
